Stock Transfer
The stock transfer resource.
Basehttps://rest.carbon.ms/stockTransfer
GET
/stockTransferList stock transfers
Retrieve a paginated list of stock transfers. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/stockTransfer
curl --request GET \
--url 'https://rest.carbon.ms/stockTransfer?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"companyId": "xyz789",
"stockTransferId": "xyz789",
"locationId": "xyz789",
"status": "string",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"completedAt": "2026-01-01T00:00:00Z"
}
]GET
/stockTransferRetrieve a stock transfer
Fetch a single stock transfer by filtering on `id`.
Query parameters
idstringMatch on the stock transfer's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/stockTransfer
curl --request GET \
--url 'https://rest.carbon.ms/stockTransfer?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"stockTransferId": "xyz789",
"locationId": "xyz789",
"status": "string",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"completedAt": "2026-01-01T00:00:00Z"
}POST
/stockTransferCreate a stock transfer
Create a new stock transfer.
Body parameters
stockTransferIdstringrequiredlocationIdstringrequiredReferences location.id
statusstockTransferStatusrequiredcompletedAttimestampnotesobjectassigneestringReferences user.id
customFieldsobjecttagsarrayPOSThttps://rest.carbon.ms/stockTransfer
curl --request POST \
--url https://rest.carbon.ms/stockTransfer \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"stockTransferId":"xyz789","locationId":"xyz789","status":"string"}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"stockTransferId": "xyz789",
"locationId": "xyz789",
"status": "string",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"completedAt": "2026-01-01T00:00:00Z"
}PATCH
/stockTransferUpdate a stock transfer
Update an existing stock transfer, matched on `id`.
Body parameters
stockTransferIdstringrequiredlocationIdstringrequiredReferences location.id
statusstockTransferStatusrequiredcompletedAttimestampnotesobjectassigneestringReferences user.id
customFieldsobjecttagsarrayPATCHhttps://rest.carbon.ms/stockTransfer
curl --request PATCH \
--url 'https://rest.carbon.ms/stockTransfer?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"stockTransferId":"xyz789"}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"stockTransferId": "xyz789",
"locationId": "xyz789",
"status": "string",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"completedAt": "2026-01-01T00:00:00Z"
}DELETE
/stockTransferDelete a stock transfer
Delete a stock transfer, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the stock transfer to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/stockTransfer
curl --request DELETE \
--url 'https://rest.carbon.ms/stockTransfer?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content